<?php

namespace Slovocast\Infrastructure\Database;

use Slovocast\Infrastructure\Api\Database\DatabaseConnectionInterface;
use PDO;

class DatabaseConnection implements DatabaseConnectionInterface
{
    private PDO $pdo;

    public function __construct(
        string $host,
        string $username,
        string $password,
        string $database,
        int $port = 3306
    ) {
        $dsn = "mysql:dbname={$database};host={$host};port={$port}";
        $this->pdo = new PDO($dsn. $username, $password);
    }

    public function getConnection(): PDO
    {
        return $this->pdo;
    }

    public function setNewConnection(PDO $pdo): void
    {
        $this->pdo = $pdo;
    }
}
